VRPlatformVRPlatform
Transaction line mappings

/transactions/line-mappings

Transaction Line Mappings List

GET
/transactions/line-mappings
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

search?string
appId?string
status?string
Value in"mapped" | "unmapped"
accountAssignmentType?string
Value in"accountsPayable" | "accountsReceivable" | "cancellationRevenue" | "deferredRevenue" | "deposit_channelFee" | "deposit_coHostPayout" | "deposit_merchantFee" | "openingBalance" | "deposit_reserve" | "deposit_vat" | "dueToFromTrust" | "expense_markup" | "expense_reimbursement" | "expense_salesTax" | "payout_bankAccount" | "payout_distribution"
limit?number
Default100
Range1 <= value <= 250
page?number
Default1
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/transactions/line-mappings"
{
  "data": [
    {
      "type": "string",
      "accountAssignment": "accountsPayable"
    }
  ],
  "pagination": {
    "limit": 100,
    "page": 1,
    "total": 0,
    "totalPage": 0,
    "nextPage": 0
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}